Uploaded image for project: 'Parquet'
  1. Parquet
  2. PARQUET-1960

Parquet tools build error in the latest released version `apache-parquet-1.11.1`

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 1.11.1
    • Fix Version/s: None
    • Component/s: parquet-mr
    • Labels:
      None

      Description

      After following the instruction [here](https://github.com/apache/parquet-mr/tree/master/parquet-tools) fro running parquet tools project am getting the following error

       

      `[ERROR] /Users/jecihjoy/Downloads/parquet-mr-apache-parquet-1.11.1/parquet-tools/src/main/java/org/apache/parquet/tools/read/SimpleRecord.java:[29,38] package com.fasterxml.jackson.databind does not exist`

       

      [HERE](https://pastebin.com/HUkU3Cgs) is the full error log.

      The same error also occurs in all versions greater than 1.9.0

      Please help. 

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              jecihjoy Jacinta Gichuhi
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated: